using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Input.Touch;
using Microsoft.Xna.Framework.Media;
using AlienGameSample;

namespace AlienGame
{
	/// <summary>
	/// This is the main type for your game
	/// </summary>
	public class AlienGame : Microsoft.Xna.Framework.Game
	{
		GraphicsDeviceManager graphics;
		ScreenManager screenManager;

		public AlienGame()
		{
			graphics = new GraphicsDeviceManager(this);
			//Set the Windows Phone screen resolution
			graphics.PreferredBackBufferWidth = 480;
			graphics.PreferredBackBufferHeight = 800;
#if WINDOWS
			IsMouseVisible = true;   
#endif

			Content.RootDirectory = "Content";

			// Frame rate is 30 fps by default for Windows Phone.
			TargetElapsedTime = TimeSpan.FromSeconds(1 / 30.0);

			//Create a new instance of the Screen Manager
			screenManager = new ScreenManager(this);
			Components.Add(screenManager);

			//Add two new screens
			screenManager.AddScreen(new BackgroundScreen());
			screenManager.AddScreen(new LoadingScreen());
		}
	}
}